Bug 1478370 - perl6 --profile-compile raises "No such file or directory" error
perl6 --profile-compile raises "No such file or directory" error
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rakudo (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Gerd Pokorra
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-04 08:58 EDT by Antonie Blom
Modified: 2017-09-09 19:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: rakudo-0.2017.08-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-09 19:49:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Antonie Blom 2017-08-04 08:58:35 EDT
Description of problem:
When running the Fedora-provided perl6 program on any perl 6 script with --profile-compile, it fails because it cannot find a certain template html file.

Example for hello world program (first line is of course simply program output):

  $ perl6 --profile-compile test.pl6
  hello, world
  Writing profiler output to profile-1501851048.16309.html
  ===SORRY!===
  Failed to open file /usr/share/nqp/lib/profiler/template.html: No such file or directory

The profiler output html file is still created, but remains empty.

Version-Release number of selected component (if applicable): rakudo-0.2017.06-1.fc26

How reproducible: Always

Steps to Reproduce:
1. Run `perl6 --profile-compile scriptname' on any Perl 6 script 

Actual results: Stated above.

Expected results: Profiler information written to html file.


Additional info:
Comment 1 Gerd Pokorra 2017-08-04 11:49:11 EDT
The missing file is at an other place and belongs to the nqp package:

  $ rpm -ql nqp | grep template
  /usr/lib64/nqp/profiler/template.html

As work around you can create a symbolic link to it:

  $ mkdir -p /usr/share/nqp/lib/profiler
  $ ln -s /usr/lib64/nqp/profiler/template.html /usr/share/nqp/lib/profiler/template.html


  $ perl6 --profile-compile  -e "say 7"
  7
  Writing profiler output to profile-1501860118.87252.html


This bug will be fixed with the packages of the next release from rakudo.
New fedora packages will be build with the August release of rakudo (2017.08) and not available before the end of August.
Comment 2 Fedora Update System 2017-09-01 07:52:54 EDT
moarvm-0.2017.08.1-1.fc26, nqp-0.0.2017.08-1.fc26, rakudo-0.2017.08-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e04095858
Comment 3 Fedora Update System 2017-09-09 19:49:41 EDT
moarvm-0.2017.08.1-1.fc26, nqp-0.0.2017.08-1.fc26, rakudo-0.2017.08-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.